Bug 66534 - Clickpad's should ignore thumbs preparing for and engaging in a click
Summary: Clickpad's should ignore thumbs preparing for and engaging in a click
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Input/synaptics (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Peter Hutterer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 66532
  Show dependency treegraph
 
Reported: 2013-07-03 06:26 UTC by Jeremy Huddleston Sequoia
Modified: 2014-03-07 05:51 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Huddleston Sequoia 2013-07-03 06:26:50 UTC
Related to my #66532, but this one is probably the correct solution to my problem.

If I am holding down the button with my thumb to initiate a drag, and I move my finger across the clickpad, a scroll event is generated because of the two touch points.

Similarly, if I am preparing for a click and have my thumb resting on the clickpad, it should not be seen as a second touch.

This can be an option for Clickpads enabled like:
Option "IgnoreThumb" "<bool>"
or
Option "IgnoreThumbArea" "<L> <R> <T> <B>"
Comment 1 Jeremy Huddleston Sequoia 2013-07-03 06:42:50 UTC
Correction...

It seems that the clicked case is actually ok.  It seems that I was getting scroll events in some cases because of some weird interactions with BottomEdgeArea, but once I use a config without the BottomEdgeArea, the clicked-finger is ignored ... so this is really just about ignoring the thumb that is just resting there in preparation to click.
Comment 2 Peter Hutterer 2013-07-04 07:01:14 UTC
Marking as dependency, see bug 66532#c3.
Comment 4 Peter Hutterer 2014-03-07 05:51:06 UTC
Should be fixed with Hans' patches leading up to c431d900f54696f608312ea51b1fa671839f7d42


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.